Serge-Sync-Plugin-TranslationService-phraseapp v0.900.5 Perl 5 v5.28.1 armv6l-linux

Status
Pass
From
gregor herrmann
Dist
Serge-Sync-Plugin-TranslationService-phraseapp v0.900.5
Platform
Perl 5 v5.28.1 armv6l-linux
Date
2019-01-04T08:26:38
ID
748dffcc-0ffa-11e9-bad8-211442c1b393
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear Dragos Varovici,

This is a computer-generated report for Serge-Sync-Plugin-TranslationService-phraseapp-0.900.5
on perl 5.28.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  Congratulations!
All tests were successful.

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/srv/smoker/perl5/perlbrew/perls/perl-5.28.1/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-compile.t .. ok
t/plugins.t ..... ok
All tests successful.
Files=2, Tests=4,  9 wallclock secs ( 0.59 usr  0.05 sys +  7.46 cusr  0.63 csys =  8.73 CPU)
Result: PASS

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module              Need   Have    
    ------------------- ------ --------
    Serge               v1.3.2 1.3.2   

build_requires:

    Module              Need   Have    
    ------------------- ------ --------
    ExtUtils::MakeMaker 0      7.34    
    File::Spec          0      3.75    
    IO::Handle          0      1.39    
    IPC::Open3          0      1.20    
    Test::More          0      1.302141

configure_requires:

    Module              Need   Have    
    ------------------- ------ --------
    ExtUtils::MakeMaker 0      7.34    


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LC_CTYPE = de_AT.utf8
    LD_LIBRARY_PATH = /usr/lib/libeatmydata
    NONINTERACTIVE_TESTING = 1
    PATH = /srv/smoker/bin:/usr/lib/ccache:/srv/smoker/perl5/perlbrew/bin:/srv/smoker/perl5/perlbrew/perls/perl-5.28.1/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games
    PERL5LIB = /srv/smoker/cpan/build/Serge-v1.3.2-0/blib/arch:/srv/smoker/cpan/build/Serge-v1.3.2-0/blib/lib:/srv/smoker/cpan/build/XML-Parser-Style-IxTree-1.0-0/blib/arch:/srv/smoker/cpan/build/XML-Parser-Style-IxTree-1.0-0/blib/lib:/srv/smoker/cpan/build/Text-CSV_XS-1.38-0/blib/arch:/srv/smoker/cpan/build/Text-CSV_XS-1.38-0/blib/lib:/srv/smoker/cpan/build/Net-SMTP-SSL-1.04-0/blib/arch:/srv/smoker/cpan/build/Net-SMTP-SSL-1.04-0/blib/lib:/srv/smoker/cpan/build/MIME-Lite-3.030-0/blib/arch:/srv/smoker/cpan/build/MIME-Lite-3.030-0/blib/lib:/srv/smoker/cpan/build/MailTools-2.20-0/blib/arch:/srv/smoker/cpan/build/MailTools-2.20-0/blib/lib:/srv/smoker/cpan/build/MIME-Types-2.17-0/blib/arch:/srv/smoker/cpan/build/MIME-Types-2.17-0/blib/lib:/srv/smoker/cpan/build/Email-Date-Format-1.005-0/blib/arch:/srv/smoker/cpan/build/Email-Date-Format-1.005-0/blib/lib:/srv/smoker/cpan/build/Config-Neat-1.302-0/blib/arch:/srv/smoker/cpan/build/Config-Neat-1.302-0/blib/lib
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 2945
    PERL5_CPAN_IS_RUNNING = 2945
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 9353,2945
    PERLBREW_HOME = /srv/smoker/.perlbrew
    PERLBREW_MANPATH = /srv/smoker/perl5/perlbrew/perls/perl-5.28.1/man
    PERLBREW_PATH = /srv/smoker/perl5/perlbrew/bin:/srv/smoker/perl5/perlbrew/perls/perl-5.28.1/bin
    PERLBREW_PERL = perl-5.28.1
    PERLBREW_ROOT = /srv/smoker/perl5/perlbrew
    PERLBREW_SHELLRC_VERSION = 0.85
    PERLBREW_VERSION = 0.85
    PERL_CR_SMOKER_CURRENT = Serge-Sync-Plugin-TranslationService-phraseapp-0.900.5
    PERL_EXTUTILS_AUTOINSTALL = --defaultdeps
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /bin/bash
    TERM = screen-256color

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /srv/smoker/perl5/perlbrew/perls/perl-5.28.1/bin/perl
    $UID/$EUID = 1111 / 1111
    $GID = 65534 65534
    $EGID = 65534 65534

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.20    
    CPAN::Meta          2.150010
    Cwd                 3.75    
    ExtUtils::CBuilder  0.280230
    ExtUtils::Command   7.34    
    ExtUtils::Install   2.14    
    ExtUtils::MakeMaker 7.34    
    ExtUtils::Manifest  1.71    
    ExtUtils::ParseXS   3.39    
    File::Spec          3.75    
    JSON                2.97001 
    JSON::PP            2.97001 
    Module::Build       0.4224  
    Module::Signature   n/a     
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.42    
    Test::More          1.302141
    YAML                1.27    
    YAML::Syck          n/a     
    version             0.9924  


--

Summary of my perl5 (revision 5 version 28 subversion 1) configuration:
   
  Platform:
    osname=linux
    osvers=4.9.0-6-rpi
    archname=armv6l-linux
    uname='linux smoker 4.9.0-6-rpi #1 raspbian 4.9.82-1+deb9u3+rpi2 (2018-11-09) armv6l gnulinux '
    config_args='-de -Dprefix=/srv/smoker/perl5/perlbrew/perls/perl-5.28.1 -Aeval:scriptdir=/srv/smoker/perl5/perlbrew/perls/perl-5.28.1/bin'
    hint=recommended
    useposix=true
    d_sigaction=define
    useithreads=undef
    usemultiplicity=undef
    use64bitint=undef
    use64bitall=undef
    uselongdouble=undef
    usemymalloc=n
    default_inc_excludes_dot=define
    bincompat5005=undef
  Compiler:
    cc='cc'
    ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
    optimize='-O2'
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion=''
    gccversion='8.2.0'
    gccosandvers=''
    intsize=4
    longsize=4
    ptrsize=4
    doublesize=8
    byteorder=1234
    doublekind=3
    d_longlong=define
    longlongsize=8
    d_longdbl=define
    longdblsize=8
    longdblkind=0
    ivtype='long'
    ivsize=4
    nvtype='double'
    nvsize=8
    Off_t='off_t'
    lseeksize=8
    alignbytes=8
    prototype=define
  Linker and Libraries:
    ld='cc'
    ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib/gcc/arm-linux-gnueabihf/8/include-fixed /usr/include/arm-linux-gnueabihf /usr/lib /lib/arm-linux-gnueabihf /lib /usr/lib/arm-linux-gnueabihf
    libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.27.so
    so=so
    useshrplib=false
    libperl=libperl.a
    gnulibc_version='2.27'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs
    dlext=so
    d_dlsymun=undef
    ccdlflags='-Wl,-E'
    cccdlflags='-fPIC'
    lddlflags='-shared -O2 -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options:
    HAS_TIMES
    PERLIO_LAYERS
    PERL_COPY_ON_WRITE
    PERL_DONT_CREATE_GVSV
    PERL_MALLOC_WRAP
    PERL_OP_PARENT
    PERL_PRESERVE_IVUV
    USE_LARGE_FILES
    USE_LOCALE
    USE_LOCALE_COLLATE
    USE_LOCALE_CTYPE
    USE_LOCALE_NUMERIC
    USE_LOCALE_TIME
    USE_PERLIO
    USE_PERL_ATOF
  Locally applied patches:
    Devel::PatchPerl 1.38
  Built under linux
  Compiled at Dec  3 2018 15:22:50
  %ENV:
    PERL5LIB="/srv/smoker/cpan/build/Serge-v1.3.2-0/blib/arch:/srv/smoker/cpan/build/Serge-v1.3.2-0/blib/lib:/srv/smoker/cpan/build/XML-Parser-Style-IxTree-1.0-0/blib/arch:/srv/smoker/cpan/build/XML-Parser-Style-IxTree-1.0-0/blib/lib:/srv/smoker/cpan/build/Text-CSV_XS-1.38-0/blib/arch:/srv/smoker/cpan/build/Text-CSV_XS-1.38-0/blib/lib:/srv/smoker/cpan/build/Net-SMTP-SSL-1.04-0/blib/arch:/srv/smoker/cpan/build/Net-SMTP-SSL-1.04-0/blib/lib:/srv/smoker/cpan/build/MIME-Lite-3.030-0/blib/arch:/srv/smoker/cpan/build/MIME-Lite-3.030-0/blib/lib:/srv/smoker/cpan/build/MailTools-2.20-0/blib/arch:/srv/smoker/cpan/build/MailTools-2.20-0/blib/lib:/srv/smoker/cpan/build/MIME-Types-2.17-0/blib/arch:/srv/smoker/cpan/build/MIME-Types-2.17-0/blib/lib:/srv/smoker/cpan/build/Email-Date-Format-1.005-0/blib/arch:/srv/smoker/cpan/build/Email-Date-Format-1.005-0/blib/lib:/srv/smoker/cpan/build/Config-Neat-1.302-0/blib/arch:/srv/smoker/cpan/build/Config-Neat-1.302-0/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="2945"
    PERL5_CPAN_IS_RUNNING="2945"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="9353,2945"
    PERLBREW_HOME="/srv/smoker/.perlbrew"
    PERLBREW_MANPATH="/srv/smoker/perl5/perlbrew/perls/perl-5.28.1/man"
    PERLBREW_PATH="/srv/smoker/perl5/perlbrew/bin:/srv/smoker/perl5/perlbrew/perls/perl-5.28.1/bin"
    PERLBREW_PERL="perl-5.28.1"
    PERLBREW_ROOT="/srv/smoker/perl5/perlbrew"
    PERLBREW_SHELLRC_VERSION="0.85"
    PERLBREW_VERSION="0.85"
    PERL_CR_SMOKER_CURRENT="Serge-Sync-Plugin-TranslationService-phraseapp-0.900.5"
    PERL_EXTUTILS_AUTOINSTALL="--defaultdeps"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /srv/smoker/cpan/build/Serge-v1.3.2-0/blib/arch
    /srv/smoker/cpan/build/Serge-v1.3.2-0/blib/lib
    /srv/smoker/cpan/build/XML-Parser-Style-IxTree-1.0-0/blib/arch
    /srv/smoker/cpan/build/XML-Parser-Style-IxTree-1.0-0/blib/lib
    /srv/smoker/cpan/build/Text-CSV_XS-1.38-0/blib/arch
    /srv/smoker/cpan/build/Text-CSV_XS-1.38-0/blib/lib
    /srv/smoker/cpan/build/Net-SMTP-SSL-1.04-0/blib/arch
    /srv/smoker/cpan/build/Net-SMTP-SSL-1.04-0/blib/lib
    /srv/smoker/cpan/build/MIME-Lite-3.030-0/blib/arch
    /srv/smoker/cpan/build/MIME-Lite-3.030-0/blib/lib
    /srv/smoker/cpan/build/MailTools-2.20-0/blib/arch
    /srv/smoker/cpan/build/MailTools-2.20-0/blib/lib
    /srv/smoker/cpan/build/MIME-Types-2.17-0/blib/arch
    /srv/smoker/cpan/build/MIME-Types-2.17-0/blib/lib
    /srv/smoker/cpan/build/Email-Date-Format-1.005-0/blib/arch
    /srv/smoker/cpan/build/Email-Date-Format-1.005-0/blib/lib
    /srv/smoker/cpan/build/Config-Neat-1.302-0/blib/arch
    /srv/smoker/cpan/build/Config-Neat-1.302-0/blib/lib
    /srv/smoker/perl5/perlbrew/perls/perl-5.28.1/lib/site_perl/5.28.1/armv6l-linux
    /srv/smoker/perl5/perlbrew/perls/perl-5.28.1/lib/site_perl/5.28.1
    /srv/smoker/perl5/perlbrew/perls/perl-5.28.1/lib/5.28.1/armv6l-linux
    /srv/smoker/perl5/perlbrew/perls/perl-5.28.1/lib/5.28.1
    .